投递人 itwriter 发布于 2018-09-04 10:03 原文链接 « »

  按照谷歌的命名习惯,下一代安卓系统会是 Android Q(按照字母表排序),版本号或将为 Android 10。据 XDA 报道,AOSP 中出现了面向第一代安卓系统的贡献代码,其中包括一项系统级的警告特性。在运行任何应用程序时,系统都会检查其 API 级别,如果低于或等于 23(安卓 5.0 棒棒糖或更老),则会弹出警告,提示可能无法正常运行。

  其实在安卓 9.0 Pie 中就添加进这种特性了,比如基于安卓 1.6(API level 4)的 ManifestViewer 应用,调用前就有弹窗警告。

  谷歌之所以这么做其实还是处于安全考虑,一些开发者之所以不愿使用安卓 6.0 以上的配套 API,主要因为后者有着更严格的权限监控。

  资料显示,从今年 8 月 1 日起,所有新向 Play 商店提交的应用都必须基于 API Level 26(安卓 8.0 及以上)开发,同时,今年 11 月后,所有 Play 商店的存量应用也都要遵守这一规定,否则予以下架。谷歌此举首先是保证良好的兼容性,同时,API 等级越高,也可以同步谷歌在安全性、隐私性、内存优化、电池优化的最新改善。

 
来自: cnBeta
找优秀程序员,就在博客园 收藏 新浪微博 分享至微信
标签: Android

24小时阅读排行

    最新新闻

      相关新闻